import React, { useState } from 'react';
import { Timeline, Tabs } from 'antd';
import { useHistory } from 'react-router-dom';
import styles from './index.less';

const { Item } = Timeline;
const { TabPane } = Tabs;
const ColConen = () => {
  const [tabPosition, setTabPosition] = useState('left');
  return (
    <div>
      <div className={styles.titlebox}>
        <p className={styles.log}>版本记录</p>
        <p className={styles.desclog}>熊猫运维平台</p>
      </div>
      <div className={styles.logbox}>
        <Tabs
          tabPosition={tabPosition}
          style={{ height: 'calc(100vh - 500px)' }}
        >
          {arr.map((item, index) => (
            <TabPane tab={item.label} key={item.key}>
              {item.content}
            </TabPane>
          ))}
        </Tabs>
      </div>
    </div>
  );
};

const arr = [
  {
    key: '4',
    label: 'v6.0.20210108 ',
    content: (
      <div className={styles.hr}>
        <div className={styles.topBox}>
          <div className={styles.topl}>v6.0.20210108</div>
          <div className={styles.topr}>2021-01-08</div>
        </div>
        <hr />
        <h3>图片管理</h3>
        <ul>
          <li>【优化】 筛选展示图片的类型</li>
        </ul>
        <h3>用户管理</h3>
        <ul>
          <li>【优化】 优化了table展示图标</li>
        </ul>
        <h3>站点管理</h3>
        <ul>
          <li>【新增】 新增搜索过滤功能</li>
          <li>【修改】 修改了页面展示形式</li>
        </ul>
        <h3>Web配置</h3>
        <ul>
          <li>【新增】 产品配置模块</li>
          <li>【优化】 优化菜单描述</li>
        </ul>
        <h3>移动应用配置</h3>
        <ul>
          <li>【优化】 增加展示应用类别</li>
          <li>【优化】 优化菜单描述</li>
        </ul>
      </div>
    ),
  },
  {
    key: '3',
    label: 'v5.0.20201231 ',
    content: (
      <div className={styles.hr}>
        <div className={styles.topBox}>
          <div className={styles.topl}>v5.0.20201231</div>
          <div className={styles.topr}>2020-12-31</div>
        </div>
        <hr />
        <h3>站点管理</h3>
        <ul>
          <li>【优化】 调整了页面展示结构</li>
        </ul>
        <h3>业务平台</h3>
        <ul>
          <li>【优化】 优化页面文字描述</li>
        </ul>
        <h3>服务监控</h3>
        <ul>
          <li>【修改】 统计图tooltip可选中，状态码中文提示</li>
        </ul>
        <h3>运维痕迹</h3>
        <ul>
          <li>【新增】 敏感操作记录</li>
        </ul>
        <h3>图片模块</h3>
        <ul>
          <li>【优化】 修改了图片请求的逻辑</li>
        </ul>
      </div>
    ),
  },
  {
    key: '2',
    label: 'v5.0.20201225 ',
    content: (
      <div className={styles.hr}>
        <div className={styles.topBox}>
          <div className={styles.topl}>v5.0.20201225</div>
          <div className={styles.topr}>2020-12-25</div>
        </div>
        <hr />
        <h3>角色管理</h3>
        <ul>
          <li>【修改】 修改了分组获取方式，禁止手动修改</li>
          <li>【修改】 修改了默认展示的应用</li>
        </ul>
        <h3>GIS平台</h3>
        <ul>
          <li>【新增】 新增七参数配置</li>
        </ul>
        <h3>业务平台</h3>
        <ul>
          <li>【修改】 修改了页面内容，优化了引导方式</li>
        </ul>
        <h3>Web配置</h3>
        <ul>
          <li>【修改】 菜单展示页面结构调整，调整提交逻辑</li>
        </ul>
        <h3>移动应用配置</h3>
        <ul>
          <li>【修改】 菜单展示页面结构调整，调整提交逻辑</li>
        </ul>
        <h3>系统日志</h3>
        <ul>
          <li>【修改】 模块名称做了修改</li>
          <li>【修改】 运维痕迹页面展示内容做了调整</li>
        </ul>
        <h3>数据库连接配置</h3>
        <ul>
          <li>【修改】 调整页面展示结构</li>
        </ul>
        <h3>版本记录</h3>
        <ul>
          <li>【修改】 修改了版本内容展示方式，调整了版本号的定义方式</li>
        </ul>
      </div>
    ),
  },
  {
    key: '1',
    label: 'v5.0.20201218 ',
    content: (
      <div className={styles.hr}>
        <div className={styles.topBox}>
          <div className={styles.topl}>v5.0.20201218</div>
          <div className={styles.topr}>2020-12-18</div>
        </div>
        <hr />
        <h3>移动应用配置</h3>
        <ul>
          <li>【新增】 新增了版本包上传功能</li>
          <li>【修改】 调整了获取版本包信息</li>
          <li>【修改】 优化了应用加载内容</li>
        </ul>
        <h3>登录页面</h3>
        <ul>
          <li>【修改】 调整了登录窗布局</li>
        </ul>
        <h3>系统日志</h3>
        <ul>
          <li>【修改】 服务日志页面做了优化</li>
          <li>【修改】 登录日志页面做了优化</li>
          <li>【修改】 运维日志页面做了优化</li>
        </ul>
      </div>
    ),
  },
  {
    key: '0',
    label: `v5.0.20201217 `,
    content: (
      <div className={styles.hr}>
        <div className={styles.topBox}>
          <div className={styles.topl}>v5.0.20201217</div>
          <div className={styles.topr}>2020-12-17</div>
        </div>
        <hr />
        <h3>运维第一个版本记录</h3>
        <ul>
          <li>
            【新增】
            新增了解决方案管理、数据库管理、用户中心、平台中心、应用中心、数据中心、系统日志板块
          </li>
          <li>【新增】 新增了版本记录模块</li>
          <li>【优化】 登录页面修改了动画效果</li>
          <li>【优化】 移动应用配置模块进行了部分翻新</li>
          <li>【优化】 业务平台模块修改了交互方式</li>
        </ul>
      </div>
    ),
  },
  // CivManage后增加/  2020-12-22
  // {
  //   key: '2',
  //   label: '1.0.20201218',
  //   content: 'aaaa',
  // },
  // {
  //   key: '3',
  //   label: '1.0.20201218',
  //   content: 'aaaa',
  // },
  // {
  //   key: '4',
  //   label: '1.0.20201218',
  //   content: 'aaaa',
  // },
  // {
  //   key: '5',
  //   label: '1.0.20201218',
  //   content: 'aaaa',
  // },
  // {
  //   key: '6',
  //   label: '1.0.20201218',
  //   content: 'aaaa',
  // },
  // {
  //   key: '131',
  //   label: '1.0.20201218',
  //   content: 'aaaa',
  // },
  // {
  //   key: '70',
  //   label: '1.0.20201218',
  //   content: 'aaaa',
  // },
  // {
  //   key: '8',
  //   label: '1.0.20201218',
  //   content: 'aaaa',
  // },
  // {
  //   key: '9',
  //   label: '1.0.20201218',
  //   content: 'aaaa',
  // },
  // {
  //   key: '10',
  //   label: '1.0.20201218',
  //   content: 'aaaa',
  // },

  // {
  //   key: '11',
  //   label: '1.0.20201218',
  //   content: 'aaaa',
  // },
  // {
  //   key: '12',
  //   label: '1.0.20201218',
  //   content: 'aaaa',
  // },
  // {
  //   key: '13',
  //   label: '1.0.20201218',
  //   content: 'aaaa',
  // },
  // {
  //   key: '14',
  //   label: '1.0.20201218',
  //   content: 'aaaa',
  // },
  // {
  //   key: '15',
  //   label: '1.0.20201218',
  //   content: 'aaaa',
  // },
  // {
  //   key: '16',
  //   label: '1.0.20201218',
  //   content: 'aaaa',
  // },
  // {
  //   key: '17',
  //   label: '1.0.20201218',
  //   content: 'aaaa',
  // },
  // {
  //   key: '18',
  //   label: '1.0.20201219',
  //   content: 'aaaa',
  // },
];
export default ColConen;
