// import { get, post } from '@/services/index';
import qs from 'qs';
import { CITY_SERVICE, get, post, PUBLISH_SERVICE } from '@/services/index';

export const getUserTree = (selectOU, node) =>
  get(`${CITY_SERVICE}/OMS.svc/U_GetOUTree`, {
    _version: 9999,
    _dc: new Date().getTime(),
    selectOU,
    node,
  });

// export const getOneOUUserListNew = OUID =>
//   get(`${CITY_SERVICE}/OMS.svc/U_GetOneOUUserListNew`, {
//     _version: 9999,
//     _dc: new Date().getTime(),
//     OUID,
//   });

export const getOneOUUserListNew = OUID =>
  get(`${PUBLISH_SERVICE}/UserCenter/GroupUserList`, {
    _version: 9999,
    _dc: new Date().getTime(),
    groupId: OUID,
  });

/**
 * 查询用户
 * @param {*} key
 */
export const getUserByKey = key =>
  get(`${CITY_SERVICE}/OMS.svc/U_GetUserByKey`, {
    _version: 9999,
    _dc: new Date().getTime(),
    key,
  });

/**
 * 添加用户
 * @param {*} param0
 */
export const addUser = ({
  OUID,
  loginName,
  userName,
  password,
  phone,
  email,
}) =>
  get(`${CITY_SERVICE}/OMS.svc/U_AddUser`, {
    _version: 9999,
    _dc: Date.now(),
    OUID,
    loginName,
    userName,
    password,
    phone,
    email,
  });

export const addOrg = (orgID, OUName, description, comment) =>
  get(`${CITY_SERVICE}/OMS.svc/U_AddOU`, {
    _version: 9999,
    _dc: Date.now(),
    pid: orgID,
    OUName,
    description,
    comment,
  });

export const editOrgInfo = (orgID, OUName, description, comment) =>
  get(`${CITY_SERVICE}/OMS.svc/U_EditOneOUInfo`, {
    _version: 9999,
    _dc: Date.now(),
    OUID: orgID,
    OUName,
    description,
    comment,
  });

export const deleteOrg = orgID =>
  get(`${CITY_SERVICE}/OMS.svc/U_DeleteOU`, {
    _version: 9999,
    _dc: Date.now(),
    OUID: orgID,
  });

export const getUserRelationList = userID =>
  get(`${CITY_SERVICE}/OMS.svc/W4_GetUserRelationList`, {
    _version: 9999,
    _dc: Date.now(),
    userID: `${userID}`,
  });

export const addToOrg = (userID, orgID, newOrgID) =>
  get(`${CITY_SERVICE}/OMS.svc/U_JumpToAnotherOU`, {
    _version: 9999,
    _dc: Date.now(),
    userID,
    oldOUID: orgID,
    newOUID: newOrgID,
  });
// 批量更改机构
export const addToOrgs = (userIDs, orgIDs, newOrgID) =>
  get(`${PUBLISH_SERVICE}/UserCenter/ModifyUserRole`, {
    _version: 9999,
    _dc: Date.now(),
    userIds: userIDs,
    oldGroupIds: orgIDs,
    newGroupId: newOrgID,
  });

export const updateUserPassword = params =>
  post(`${PUBLISH_SERVICE}/UserCenter/UpdateUserPassword`, params);

export const editUser = (userID, loginName, userName, phone, email) =>
  get(`${CITY_SERVICE}/OMS.svc/U_EditUser`, {
    _version: 9999,
    _dc: Date.now(),
    userID,
    loginName,
    userName,
    phone,
    email,
  });

export const setUserState = (OUID, state) =>
  get(`${CITY_SERVICE}/OMS.svc/U_UserStateOU`, {
    _version: 9999,
    _dc: Date.now(),
    OUID,
    state,
  });

export const deleteUser = userID =>
  get(`${CITY_SERVICE}/OMS.svc/U_DeleteUser`, {
    _version: 9999,
    _dc: Date.now(),
    userID,
  });
// 批量删除用户
export const multiDeleteUsers = userIDs =>
  get(`${PUBLISH_SERVICE}/UserCenter/DeleteUsers`, {
    _version: 9999,
    _dc: Date.now(),
    userIds: userIDs,
  });

export const setUserRelation = (userID, roleList = [], stationList) =>
  post(
    `${CITY_SERVICE}/OMS.svc/U_SetUserRelationList?_version=9999`,
    qs.stringify({
      userID,
      roleList: roleList.length ? `${roleList.join(',')},` : '',
      stationList: stationList.length ? `${stationList.join(',')},` : '',
      headList: '',
      mobileMapList: '',
      currentSolution: '熊猫智慧水务平台',
    }),
    {
      headers: {
        'Content-Type': 'application/x-www-form-urlencoded',
      },
    },
  );
export const setUserRelations = (userIDs, roleList, stationList) =>
  get(`${PUBLISH_SERVICE}/UserCenter/SetUserRoleMap`, {
    userIds: userIDs,
    roleIds: roleList || '',
    stationList: stationList || '',
  });
